<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=VT323&display=swap" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="container display-4 bg-light border h-100 p-3 col-6 col-xl-4 mt-3 ">
        <div class="row p-1">
            <div id="previous"><p class="bg-dark align-items-right text-end w-576 m-0 text-primary fs-1 text">&nbsp;</p></div>
            <div id="result"><p class="bg-dark align-items-right text-end w-576  text-primary fs-1 text">&nbsp;</p></div>
        </div>
            <div class="row px-3 py-1">
                        <button  class=" w-25 all-clear function btn btn-dark text-white" value="all-clear">C</button>
                        <button  class=" w-25 btn btn-dark text-white " value="/">&divide;</button>
                        <button  class=" w-25 btn btn-dark text-white " value="*">&times;</button>
                        <button class=" w-25 btn btn-dark text-white " value="ce">⌫</button>
                    </div>

                <div class="row px-3 py-1" >
                    <button  value="7" class=" w-25 btn btn-secondary text-white">7</button>
                    <button  value="8" class=" w-25 btn btn-secondary text-white ">8</button>
                    <button  value="9" class=" w-25 btn btn-secondary text-white ">9</button>
                    <button  class="w-25 btn btn-dark text-white " value="-">-</button>
                </div>       
                <div class="row px-3 py-1 ">
                    <button  value="4" class="w-25 btn btn-secondary text-white ">4</button>
                    <button  value="5" class="w-25 btn btn-secondary text-white ">5</button>
                    <button  value="6" class="w-25 btn btn-secondary text-white ">6</button>
                    <button  class="w-25 btn btn-dark text-white " value="+">+</button>
                </div>
                <div class="row px-3 py-1">
                    <div class="col-9">
                        <div class = "row py-1 ">
                            <button  value="1" class=" col-4 btn btn-secondary text-white ">1</button>
                            <button  value="2" class=" col-4 btn btn-secondary text-white ">2</button>
                            <button  value="3" class=" col-4 btn btn-secondary text-white ">3</button>
                        </div>
                        <div class="row py-1 ">
                            <button  value="0" class=" col-8 btn btn-secondary text-white ">0</button>
                            <button  class="col-4  decimal function btn btn-secondary text-white " value=".">.</button>
                        </div>
                    </div>
                        <button  class=" my-1 col-3 equal-sign operator btn btn-danger text-white " value="=">=</button>
                </div>
    </div>

    <script src="custom.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
</body>
</html>